internal::join_node_base< JP, InputTuple, OutputTuple >::join_node_base_operation Class Reference
Inheritance diagram for internal::join_node_base< JP, InputTuple, OutputTuple >::join_node_base_operation:
Collaboration diagram for internal::join_node_base< JP, InputTuple, OutputTuple >::join_node_base_operation:

## Public Member Functions

| join_node_base_operation (const output_type &e, op_type t)
| join_node_base_operation (const successor_type &s, op_type t)
| join_node_base_operation (op_type t)
Public Member Functions inherited from tbb::interface6::internal::aggregated_operation< Derived >
| aggregated_operation ()

## Public Attributes

char | type
union {
output_type * my_arg
successor_type * my_succ
}; |
task * | bypass_t
Public Attributes inherited from tbb::interface6::internal::aggregated_operation< Derived >
uintptr_t | status
| Zero value means "wait" status, all other values are "user" specified values and are defined into the scope of a class which uses "status". More...
Derived * | next

## Detailed Description

### template<typename JP, typename InputTuple, typename OutputTuple>
class internal::join_node_base< JP, InputTuple, OutputTuple >::join_node_base_operation

Definition at line 1291 of file _flow_graph_join_impl.h.

## Constructor & Destructor Documentation

## join_node_base_operation() [1/3]

template<typename JP , typename InputTuple , typename OutputTuple >

internal::join_node_base< JP, InputTuple, OutputTuple >::join_node_base_operation::join_node_base_operation | ( | const output_type & | e,
|  | op_type | t
| ) |  |

inline

Definition at line 1303 of file _flow_graph_join_impl.h.

: type(char(t)),
my_arg(const_cast<output_type*>(&e)), bypass_t(NULL) {}
internal::join_node_base::output_type
OutputTuple output_type
Definition: _flow_graph_join_impl.h:1269
internal::join_node_base::join_node_base_operation::my_arg
output_type * my_arg
Definition: _flow_graph_join_impl.h:1295
internal::join_node_base::join_node_base_operation::bypass_t
task * bypass_t
Definition: _flow_graph_join_impl.h:1302
internal::join_node_base::join_node_base_operation::type
char type
Definition: _flow_graph_join_impl.h:1293

## join_node_base_operation() [2/3]

template<typename JP , typename InputTuple , typename OutputTuple >

internal::join_node_base< JP, InputTuple, OutputTuple >::join_node_base_operation::join_node_base_operation | ( | const successor_type & | s,
|  | op_type | t
| ) |  |

inline

Definition at line 1305 of file _flow_graph_join_impl.h.

: type(char(t)),
my_succ(const_cast<successor_type *>(&s)), bypass_t(NULL) {}
s
void const char const char int ITT_FORMAT __itt_group_sync s
Definition: ittnotify_static.h:91
internal::join_node_base::successor_type
sender< output_type >::successor_type successor_type
Definition: _flow_graph_join_impl.h:1271
internal::join_node_base::join_node_base_operation::my_succ
successor_type * my_succ
Definition: _flow_graph_join_impl.h:1296

## join_node_base_operation() [3/3]

template<typename JP , typename InputTuple , typename OutputTuple >

internal::join_node_base< JP, InputTuple, OutputTuple >::join_node_base_operation::join_node_base_operation | ( | op_type | t | ) |

inline

Definition at line 1307 of file _flow_graph_join_impl.h.

: type(char(t)), bypass_t(NULL) {}

## Member Data Documentation

##

union { ... }

## bypass_t

template<typename JP , typename InputTuple , typename OutputTuple >

task* internal::join_node_base< JP, InputTuple, OutputTuple >::join_node_base_operation::bypass_t

Definition at line 1302 of file _flow_graph_join_impl.h.

Referenced by internal::join_node_base< JP, InputTuple, OutputTuple >::forward_task(), and internal::join_node_base< JP, InputTuple, OutputTuple >::handle_operations().

## my_arg

template<typename JP , typename InputTuple , typename OutputTuple >

output_type* internal::join_node_base< JP, InputTuple, OutputTuple >::join_node_base_operation::my_arg

Definition at line 1295 of file _flow_graph_join_impl.h.

Referenced by internal::join_node_base< JP, InputTuple, OutputTuple >::handle_operations().

## my_succ

template<typename JP , typename InputTuple , typename OutputTuple >

successor_type* internal::join_node_base< JP, InputTuple, OutputTuple >::join_node_base_operation::my_succ

Definition at line 1296 of file _flow_graph_join_impl.h.

Referenced by internal::join_node_base< JP, InputTuple, OutputTuple >::handle_operations().

## type

template<typename JP , typename InputTuple , typename OutputTuple >

char internal::join_node_base< JP, InputTuple, OutputTuple >::join_node_base_operation::type

Definition at line 1293 of file _flow_graph_join_impl.h.

Referenced by internal::join_node_base< JP, InputTuple, OutputTuple >::handle_operations().

The documentation for this class was generated from the following file:

- _flow_graph_join_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.